package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考勤规则配置对象 kaoqin_config
 * 
 * @author boman
 * @date 2023-02-02
 */
public class KaoqinConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 配置id */
    private Long kaoqinId;

    /** 部门id */
    @Excel(name = "部门id")
    private String deptId;

    /** 打卡地点名称 */
    @Excel(name = "打卡地点名称")
    private String kaAddress;

    /** 打卡地点经度 */
    @Excel(name = "打卡地点经度")
    private String kaLog;

    /** 打卡地点维度 */
    @Excel(name = "打卡地点维度")
    private String kaLat;

    /** 打卡次数(一天几次打卡) */
    @Excel(name = "打卡次数(一天几次打卡)")
    private String kaNum;

    /** 打卡距离(半径) */
    @Excel(name = "打卡距离(半径)")
    private String kaRadius;

    /** 打卡分类 1:上午上班 2:上午下班 3:下午上班 4:下午下班 */
    @Excel(name = "打卡分类 1:上午上班 2:上午下班 3:下午上班 4:下午下班")
    private String kaSort;

    /** 打卡时间 -上午上班 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "打卡时间 -上午上班", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kaTimeAmIn;

    /** 打卡时间 -上午下班 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "打卡时间 -上午下班", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kaTimeAmOut;

    /** 打卡时间 -下午上班 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "打卡时间 -下午上班", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kaTimePmIn;

    /** 打卡时间 -下午下班 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "打卡时间 -下午下班", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kaTimePmOut;

    public void setKaoqinId(Long kaoqinId) 
    {
        this.kaoqinId = kaoqinId;
    }

    public Long getKaoqinId() 
    {
        return kaoqinId;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setKaAddress(String kaAddress) 
    {
        this.kaAddress = kaAddress;
    }

    public String getKaAddress() 
    {
        return kaAddress;
    }
    public void setKaLog(String kaLog) 
    {
        this.kaLog = kaLog;
    }

    public String getKaLog() 
    {
        return kaLog;
    }
    public void setKaLat(String kaLat) 
    {
        this.kaLat = kaLat;
    }

    public String getKaLat() 
    {
        return kaLat;
    }
    public void setKaNum(String kaNum) 
    {
        this.kaNum = kaNum;
    }

    public String getKaNum() 
    {
        return kaNum;
    }
    public void setKaRadius(String kaRadius) 
    {
        this.kaRadius = kaRadius;
    }

    public String getKaRadius() 
    {
        return kaRadius;
    }
    public void setKaSort(String kaSort) 
    {
        this.kaSort = kaSort;
    }

    public String getKaSort() 
    {
        return kaSort;
    }
    public void setKaTimeAmIn(Date kaTimeAmIn) 
    {
        this.kaTimeAmIn = kaTimeAmIn;
    }

    public Date getKaTimeAmIn() 
    {
        return kaTimeAmIn;
    }
    public void setKaTimeAmOut(Date kaTimeAmOut) 
    {
        this.kaTimeAmOut = kaTimeAmOut;
    }

    public Date getKaTimeAmOut() 
    {
        return kaTimeAmOut;
    }
    public void setKaTimePmIn(Date kaTimePmIn) 
    {
        this.kaTimePmIn = kaTimePmIn;
    }

    public Date getKaTimePmIn() 
    {
        return kaTimePmIn;
    }
    public void setKaTimePmOut(Date kaTimePmOut) 
    {
        this.kaTimePmOut = kaTimePmOut;
    }

    public Date getKaTimePmOut() 
    {
        return kaTimePmOut;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("kaoqinId", getKaoqinId())
            .append("deptId", getDeptId())
            .append("kaAddress", getKaAddress())
            .append("kaLog", getKaLog())
            .append("kaLat", getKaLat())
            .append("kaNum", getKaNum())
            .append("kaRadius", getKaRadius())
            .append("kaSort", getKaSort())
            .append("kaTimeAmIn", getKaTimeAmIn())
            .append("kaTimeAmOut", getKaTimeAmOut())
            .append("kaTimePmIn", getKaTimePmIn())
            .append("kaTimePmOut", getKaTimePmOut())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
